using System;
using System.Runtime.InteropServices;

namespace DeviceRepair.Models.Attr
{
    /// <summary>
    /// 保留小数位数特性
    /// </summary>
    [Serializable]
    [AttributeUsage(AttributeTargets.All, AllowMultiple = false, Inherited = false)]
    [ComVisible(true)]
    public sealed class NumberDigitsAttribute
        : Attribute
    {
        #region Fields

        private int m_iDigits = 3;

        /// <summary>
        /// 小数位数
        /// </summary>
        public int Digits
        {
            get
            {
                return m_iDigits;
            }
        }

        #endregion

        #region Ctor

        /// <summary>
        /// Ctor
        /// </summary>
        public NumberDigitsAttribute()
        {
        }

        public NumberDigitsAttribute(int iDigits)
        {
            m_iDigits = iDigits;
        }

        #endregion

        #region Property

        #endregion
    }
}
